function plot_cdf( data, color, line_width )

	[f,x] = ecdf(data);
	line([x(1) x(1)],[f(1) f(2)],'LineStyle',':', 'LineWidth', 3*line_width);
	for plot_step=3:length(f),
		line([x(plot_step-1) x(plot_step)],[f(plot_step-1) f(plot_step-1)], 'Color', color, 'LineWidth', line_width);
		hold on;
		line([x(plot_step) x(plot_step)],[f(plot_step-1) f(plot_step)],'LineStyle',':', 'Color', color, 'LineWidth', 3*line_width);
		hold on;
	end;
	line([x(plot_step) x(plot_step)+0.05],[f(plot_step) f(plot_step)], 'Color', color, 'LineWidth', line_width);
	
end